<?php

class ScenariosWizard
{
	var $gateway 	= 'Gateway'	;
	var $pbx 	= 'Pbx'		;
/*	var $provider	= 'Provider'	;
	var $manual	= 'Manual'	; */

	var $ids_array = array();

	var $array_scenarios = array( 	'Gateway'  => array( 'id' => 'gateway'	, 'img' => 'gateway.png'	    , 'title' => WIZARD_GATEWAY_DIS	 , 'small' => 'gtw'), 
					'Pbx'  	   => array( 'id' => 'pbx'	, 'img' => 'bild-voippbx-wizard.png', 'title' => WIZARD_VOIP_PBX_DIS	 , 'small' => 'pbx')/*, 
					'Provider' => array( 'id' => 'provider'	, 'img' => 'voip-provider.png'	    , 'title' => WIZARD_VOIP_PROVIDER_DIS, 'small' => 'prd'),
					'Manual'   => array( 'id' => 'manual'	, 'img' => ''			    , 'title' => WIZARD_VOIP_MANUAL	 , 'small' => 'man')*/);

	function __construct ($init = true)
	{
		if ($init)
		{
			foreach ($this -> array_scenarios as $scenario => $parameter_scenario)
			{
				$this -> ids_array[$scenario] = array( 'id' => "id_{$parameter_scenario['id']}", 'object' => '.checked.toString()');
			}
		}
	}

	// Private 
	function _display_image_scenario ($id_div, $for_label, $title, $img = '', $id_input = '', $value_input = '', $checked = '')
	{
		$input = '';
		if (strlen($id_input) > 0)
		{
			$input = "<input type='radio' name='sc' value='$value_input' id='$id_input' $checked/>\n";
		}

		if (strlen($img) > 0)
		{
			$img = "\t\t\t\t\t<img src=\"./includes/images/$img\"/>\n";
		}
		ob_start();
?>
			<div class='form-group' id='<?php echo  $id_div; ?>'>
				<label for='<?php echo $for_label; ?>' class='col-sm-5 control-label'><?php echo $title; ?></label>
				<div class='col-sm-4'>
					<?php	echo 	$input .
							$img;    ?>
				</div>
			</div>
<?php
		return ob_get_clean();
	}

	// Public
	function get_ids_array()
	{
		return $this -> ids_array; 
	}

	function get_content_modal ($scenario_cfg)
	{
		$html_str = '';
		foreach ($this -> array_scenarios as $scenario => $parameter_scenario)
		{
			$id 	= $parameter_scenario['id'];
			$img 	= $parameter_scenario['img'];
			$value	= $parameter_scenario['small'];
			$title 	= $parameter_scenario['title'];

			if (count($scenario_cfg) == 0)
			{
				$checked = ((strcmp($scenario, $this -> gateway) == 0) ? 'checked' : '');
			}
			else
			{
				$checked = ((isset($scenario_cfg[$scenario]) && $scenario_cfg[$scenario]) ? 'checked' : '');
			}

			$html_str .= $this -> _display_image_scenario("form_$id", "for_$id", $title, $img, "id_$id", $value, $checked);
		}

		return $html_str;
	}

	function get_summary_settings ($scenario)
	{
		$div_in  = '';
		$div_out = '';

		if (strcmp($scenario, $this -> pbx) == 0)
		{	
			$settings = $this -> array_scenarios[$this -> pbx];
			return $div_in . $this -> _display_image_scenario("form_{$settings['id']}" , $settings['id'], $settings['title'], $settings['img']) . $div_out;
		}
/*	
		if (strcmp($scenario[0], $this -> provider) == 0)
		{
			$settings = $this -> array_scenarios[$this -> provider];
			return Scenarios::_display_image_scenario("form_{$settings['id']}" , $settings['id'], $settings['title'], $settings['img']);
		}

		if (strcmp($scenario[0], $this -> manual) == 0)
		{
			return 'toto';
		}
*/
		$settings = $this -> array_scenarios[$this -> gateway];
		return $div_in . $this -> _display_image_scenario("form_{$settings['id']}" , $settings['id'], $settings['title'], $settings['img']) . $div_out;
	}
}

?>
